variables:
    APPSECRET: "test"
    ENVIRON: "test"
    FILESTORE: "static/assets/img/products/"

pytest:
    stage: test
    script:
        - cd /builds/u5500327/wmgzon
        - pip install -r requirements.txt
        - pytest

deploy:
    image: docker:20.10.16
    stage: deploy
    services:
        - docker:20.10.16-dind
    script:
        - docker login $CI_REGISTRY -u $CI_DEPLOY_USER --password-stdin <<<$CI_DEPLOY_PASSWORD
        # - docker login $CI_REGISTRY -u $CI_REGISTRY_USER --password-stdin <<< $CI_REGISTRY_PASSWORD
        - docker build -t $CI_REGISTRY/group/project/image:latest .
        - docker push $CI_REGISTRY/group/project/image:latest